zenilib: zenilib/jni/external/tinyxml/tinystr.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Macros | Functions
tinystr.h File Reference
`#include <assert.h>`
`#include <string.h>`

Go to the source code of this file.

## Classes

class | TiXmlOutStream
class | TiXmlString

## Macros

#define | TIXML_EXPLICIT

## Functions

bool | operator!= (const TiXmlString &a, const TiXmlString &b)
bool | operator!= (const TiXmlString &a, const char *b)
bool | operator!= (const char *a, const TiXmlString &b)
TiXmlString | operator+ (const TiXmlString &a, const TiXmlString &b)
TiXmlString | operator+ (const TiXmlString &a, const char *b)
TiXmlString | operator+ (const char *a, const TiXmlString &b)
bool | operator< (const TiXmlString &a, const TiXmlString &b)
bool | operator<= (const TiXmlString &a, const TiXmlString &b)
bool | operator== (const TiXmlString &a, const TiXmlString &b)
bool | operator== (const TiXmlString &a, const char *b)
bool | operator== (const char *a, const TiXmlString &b)
bool | operator> (const TiXmlString &a, const TiXmlString &b)
bool | operator>= (const TiXmlString &a, const TiXmlString &b)

## Macro Definition Documentation

#define TIXML_EXPLICIT

Definition at line 56 of file tinystr.h.

## Function Documentation

bool operator!= | ( | const TiXmlString & | a,
|  | const TiXmlString & | b
| ) |  |

inline

Definition at line 278 of file tinystr.h.

bool operator!= | ( | const TiXmlString & | a,
|  | const char * | b
| ) |  |

inline

Definition at line 285 of file tinystr.h.

bool operator!= | ( | const char * | a,
|  | const TiXmlString & | b
| ) |  |

inline

Definition at line 286 of file tinystr.h.

TiXmlString operator+ | ( | const TiXmlString & | a,
|  | const TiXmlString & | b
| ) |  |

Definition at line 86 of file tinystr.cpp.

References TiXmlString::length(), and TiXmlString::reserve().

TiXmlString operator+ | ( | const TiXmlString & | a,
|  | const char * | b
| ) |  |

Definition at line 95 of file tinystr.cpp.

References TiXmlString::append(), TiXmlString::length(), and TiXmlString::reserve().

TiXmlString operator+ | ( | const char * | a,
|  | const TiXmlString & | b
| ) |  |

Definition at line 105 of file tinystr.cpp.

References TiXmlString::append(), TiXmlString::length(), and TiXmlString::reserve().

bool operator< | ( | const TiXmlString & | a,
|  | const TiXmlString & | b
| ) |  |

inline

Definition at line 273 of file tinystr.h.

References TiXmlString::c_str().

bool operator<= | ( | const TiXmlString & | a,
|  | const TiXmlString & | b
| ) |  |

inline

Definition at line 280 of file tinystr.h.

bool operator== | ( | const TiXmlString & | a,
|  | const TiXmlString & | b
| ) |  |

inline

Definition at line 268 of file tinystr.h.

References TiXmlString::c_str(), and TiXmlString::length().

bool operator== | ( | const TiXmlString & | a,
|  | const char * | b
| ) |  |

inline

Definition at line 283 of file tinystr.h.

References TiXmlString::c_str().

bool operator== | ( | const char * | a,
|  | const TiXmlString & | b
| ) |  |

inline

Definition at line 284 of file tinystr.h.

bool operator> | ( | const TiXmlString & | a,
|  | const TiXmlString & | b
| ) |  |

inline

Definition at line 279 of file tinystr.h.

bool operator>= | ( | const TiXmlString & | a,
|  | const TiXmlString & | b
| ) |  |

inline

Definition at line 281 of file tinystr.h.